%define version 0.5.10
%define release %mkrel 4
%define name gai
%define lib_major 0
%define lib_name %mklibname %name %{lib_major}

Name:		%{name}
Version:	%{version}
Summary:    General Applet Interface Library
Release:	%{release}
License:	LGPL
Group:      Graphical desktop/Other
Url:		http://gai.sf.net
Source0:	http://prdownloads.sourceforge.net/gai/%{name}-%{version}.tar.bz2
Patch:		gai-0.5.10-X.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires: 	gai-album, gai-bgswitcher, gai-blobs, gai-leds
Requires: 	gai-mailcounter, gai-pal, gai-visual-audio, gai-sun
BuildRequires:	libgnomeui2-devel >= 2.0
BuildRequires:	libglade2.0-devel >= 2.0
BuildRequires:	libgtkglext-devel
BuildRequires:  libpanel-applet-devel
BuildRequires:  rox
BuildRequires:  SDL-devel

%description
A collection of applets for panels, including the GNOME one.

%package -n %{lib_name}
Summary:    General Applet Interface Library
Group:      System/Libraries
Provides:   %{lib_name} = %{version}-%{release}
Provides:   lib%{name} = %{version}-%{release}

%description -n %{lib_name}
This library is intended to simplify the development and use of
dockapps and gnome panel applets. With this library the programmer
can focus on what the applet shall do, not on the interface.

%package -n %{lib_name}-devel
Summary:        Development files for gai
Group:          Development/C
Provides:       %{lib_name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:       %{lib_name} = %{version}
Requires:  	libpanel-applet-devel


%description -n %{lib_name}-devel
This library is intended to simplify the development and use of
dockapps and gnome panel applets.
This package allows you to develop applications using gai.

%prep
%setup -q
%patch -p 1
autoconf
%build
export CFLAGS="%optflags -fPIC"
%configure2_5x
%make 

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std LOCALE_PREFIX=%buildroot%_datadir/locale
%find_lang %name
%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS BUGS ChangeLog README* THANKS TODO WINDOWMANAGERS 

%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/lib%{name}.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,0755)
%doc docs/*
%{_libdir}/pkgconfig/*
%{_libdir}/lib%{name}.so
%{_includedir}/*




%changelog
* Mon May 28 2007 Funda Wang <fundawang@mandriva.org> 0.5.10-4mdv2008.0
+ Revision: 31891
- Rebuild for directfb 1.0


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 12:45:12 (53449)
- rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 12:39:30 (53448)
Import gai

* Mon Jul 31 2006 Gtz Waschk <waschk@mandriva.org> 0.5.10-2mdv2007.0
- fix X build

* Sun Jun 26 2005 Gtz Waschk <waschk@mandriva.org> 0.5.10-1mdk
- drop patch
- New release 0.5.10

* Mon Jun 06 2005 Gtz Waschk <waschk@mandriva.org> 0.5.9-1mdk
- add new files
- fix installation
- New release 0.5.9

* Fri May 06 2005 Gtz Waschk <waschk@mandriva.org> 0.5.8-2mdk
- fix build on x86_64

* Sat Sep 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.8-1mdk
- New release 0.5.8

* Wed Aug 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.7-1mdk
- New release 0.5.7

* Fri Jun 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.6-1mdk
- drop merged patch
- New release 0.5.6

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-4mdk
- fix Makefile.in template for ROX applet installation

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-3mdk
- fix group
- fix description

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-2mdk
- fix buildrequires

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-1mdk
- fix source URL
- new version

* Mon Apr 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.4-1mdk
- new version

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- new version

* Sun Jan 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- new version

* Sun Jan 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- new version

* Sun Jan 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- fix installation
- new version

* Tue Nov 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre6.1mdk
- fix buildrequires
- new version

* Fri Oct 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre5.1mdk
- the linking of the library was fixed, move symlink to the devel package
- new version

* Wed Oct 01 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre3.1mdk
- new versiona

* Tue Sep 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre2.6mdk
- fix devel requires again

* Tue Sep 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre2.5mdk
- fix devel requirements again
- add docs

* Tue Sep 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre2.4mdk
- use configure2_5x
- fix devel requires and buildrequires

* Mon Sep 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-0.pre2.3mdk
- BuildRequires:  libpanel-applet-devel

* Sun Sep 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-0.pre2.2mdk
- redo virtual package

* Sun Sep 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-0.pre2.1mdk
- cleanup
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
	- Make a spec file

